package com.keao.edu.common.enums;

/**
 状态，-1,发送失败;0,待发送;1,发送中;2,发送完成
 */
public enum SendStatusEnum implements BaseEnum<Integer, SendStatusEnum> {
	FAILED(-1, "发送失败"), WAIT(0, "待发送"), SENDING(1, "发送中"), SUCCESSED(2, "发送完成");

	private Integer code;

	private String msg;

	SendStatusEnum(Integer code, String msg) {
		this.code = code;
		this.msg = msg;
	}

	public void setCode(Integer code) {
		this.code = code;
	}

	public String getMsg() {
		return msg;
	}

	public void setMsg(String msg) {
		this.msg = msg;
	}

	@Override
	public Integer getCode() {
		return this.code;
	}
}
